<?php 

    /**
     * Function that get the chosen shipping method details for a cart item
     */
    function fcsfw_get_cart_item_shipping_method( $cart_item_key ){
        $chosen_shippings = WC()->session->get( 'chosen_shipping_methods' ); // The chosen shipping methods
        foreach( WC()->cart->get_shipping_packages() as $id => $package ) {
            $chosen = $chosen_shippings[$id]; // The chosen shipping method
            if( isset($package['contents'][$cart_item_key]) && WC()->session->__isset('shipping_for_package_'.$id) ) {
                return WC()->session->get('shipping_for_package_'.$id)['rates'][$chosen];
            }
        }
    }

    /**
     * Save shipping method details in order line items (product) as custom order item meta data
     * This meta data is used to generate a shipping label 
     */
    add_action( 'woocommerce_checkout_create_order_line_item', 'fcsfw_woocommerce_checkout_create_order_line_item', 10, 4 );
    function fcsfw_woocommerce_checkout_create_order_line_item( $item, $cart_item_key, $values, $order ) {
        // Load shipping rate for this item
        $rate = fcsfw_get_cart_item_shipping_method( $cart_item_key );
        //error_log( print_r( $rate->method_id, true ) );
        //die();
        // flavor-cloud
        if ($rate->method_id == 'flavor-cloud'):
        // Set custom order item meta data
        $order->update_meta_data( 'flavorcloud_shipping_rate_id', $rate->id ); // the shipping rate ID
        endif;
    }

    /**
	 * Clear FlavorCloud transients.
	 */
	function fcsfw_clear_transients() {
		global $wpdb;
		$wpdb->query( "DELETE FROM `$wpdb->options` WHERE `option_name` LIKE ('_transient_flavorcloud_quote_%') OR `option_name` LIKE ('_transient_timeout_flavorcloud_quote_%')" );
	}


     /**
	 * Clear Shipping Cache 
     * Additional tax/fees do not work in some cases if this is not disabled.
     */
    add_action( 'wp_loaded', 'before_shipping');
    function before_shipping( $checkout ) {
        if (!is_admin() && defined( 'DOING_AJAX' ) && DOING_AJAX ) {

        // check the user credentials here and if the condition is met set the shipping method
        $packages = WC()->cart->get_shipping_packages();
        foreach ($packages as $key => $value) {
            $shipping_session = "shipping_for_package_$key";
            unset(WC()->session->$shipping_session);
        }
    }

    }