<?php
/**
 * FlavorCloud Shipping For Woocommerce Admin
 */


/**
 * Adding HS Code Support to woocomerce Simple + Variable Product Support. 
 */
add_action('woocommerce_product_options_sku','fcsfw_add_admin_fields' );
//add_action('woocommerce_product_options_shipping','fcsfw_add_admin_fields' );
//add_action('woocommerce_product_options_shipping', 'fcsfw_add_admin_fields', 10, 0 );
function fcsfw_add_admin_fields(){
    global $woocommerce;
    $_product = wc_get_product( get_the_ID() );
    if( $_product->is_type( 'simple' ) ) :

        $countries_obj         = new WC_Countries();
        $origincountrycode     = $countries_obj->__get('countries');
        $origincountrycode     = [0 =>__( 'Select a Country', 'woocommerce')] + $origincountrycode;
        // Current Value  
        $origincountrycode_selected = get_post_meta(get_the_ID(),"_origincountrycode", true );
        echo '<div class="options_group"><p><span style="display: block;font-size: 14px;padding: 6px 0px;font-weight: bold;">Customs Information</span> Used by border officers to calculate duties when shipping internationally. Shown on customs forms you print during fulfilment.</p>';
        woocommerce_wp_select( array(
            'id'      => '_origincountrycode',
            'label'   => __( 'Country of origin', 'woocommerce' ),
            'options' =>  $origincountrycode,
            'value'   => $origincountrycode_selected,
            'desc_tip'    => 'true',
            'description' => __('Please select where the product/item is manufactured.','woocommerce')
        ) );
        woocommerce_wp_text_input( array(
            'id'          => '_hscode',
            'label'       => __('HS Code','woocommerce'),
            'placeholder' => 'Harmonized System Code',
            'desc_tip'    => 'true',
            'description' => __('HS code is used by Customs authorities, statistical agencies, and other government regulatory bodies.','woocommerce')
        ) );
        woocommerce_wp_text_input( array(
            'id'          => '_material',
            'label'       => __('Material','woocommerce'),
            'placeholder' => 'Product Material ex: Wood / Cotton / Glass / Plastic',
            'desc_tip'    => 'true',
            'description' => __('Here you can add the material your product is made of, for food items you can add the list of ingredients.','woocommerce')
        ) );
        echo '</div>';
    endif;
}
add_action( 'woocommerce_process_product_meta', 'save_fcsfw_admin_fields', 10, 1 );
function save_fcsfw_admin_fields( $post_id ){
    $_product = wc_get_product( get_the_ID() );
    if( $_product->is_type( 'simple' ) ) :
        if( isset($_POST['_origincountrycode']) )
        update_post_meta( $post_id, '_origincountrycode', esc_attr( $_POST['_origincountrycode'] ) );
        if( isset($_POST['_hscode']) )
            update_post_meta( $post_id, '_hscode', esc_attr( $_POST['_hscode'] ) );
        if( isset($_POST['_material']) )
            update_post_meta( $post_id, '_material', esc_attr( $_POST['_material'] ) );
    endif;
}
// Variable Products
add_action( 'woocommerce_variation_options_pricing', 'add_fcsfw_admin_variation_fields', 10, 3 );
function add_fcsfw_admin_variation_fields( $loop, $variation_data, $variation ){
    $countries_obj         = new WC_Countries();
    $origincountrycode     = $countries_obj->__get('countries');
    $origincountrycode     = [0 =>__( 'Select a Country', 'woocommerce')] + $origincountrycode;
    $variation_origincountrycode = get_post_meta($variation->ID,"_origincountrycode", true );
    $variation_hscode = get_post_meta($variation->ID,"_hscode", true );
    $variation_material = get_post_meta($variation->ID,"_material", true );
    if( ! $variation_origincountrycode ) $variation_origincountrycode = 0;
    if( ! $variation_hscode ) $variation_hscode = "";
    if( ! $variation_material ) $variation_material = "";
    echo '<p><span style="display: block;font-size: 14px;padding: 6px 0px;font-weight: bold;">Customs Information</span> Used by border officers to calculate duties when shipping internationally. Shown on customs forms you print during fulfilment.</p>';
    woocommerce_wp_select( array(
        'id'      => '_origincountrycode['.$loop.']',
        'label'   => __( 'Country of origin', 'woocommerce' ),
        'options' =>  $origincountrycode,
        'value'       => get_post_meta($variation->ID,"_origincountrycode", true ),
        'desc_tip'    => 'true',
        'description' => __('Please select where the product/item is manufactured.','woocommerce'),
        'class' => 'form-row-full',
    ) );
    woocommerce_wp_text_input( array(
        'id'          => '_hscode['.$loop.']',
        'label'       => __('HSCode','woocommerce'),
        'placeholder' => 'Harmonized System Code',
        'class' => 'short wc_input_price',
        'desc_tip'    => 'true',
        'description' => __('HS code are used by Customs authorities, statistical agencies, and other government regulatory bodies.','woocommerce'),
        'value'       => get_post_meta($variation->ID,"_hscode", true ),
    ) );
    woocommerce_wp_text_input( array(
        'id'          => '_material['.$loop.']',
        'label'       => __('Material','woocommerce'),
        'placeholder' => 'Product Material ex: Wood',
        'class' => 'short',
        'desc_tip'    => 'true',
        'description' => __('Here you can add the material your product is made of, for food items you can add the list of ingredients.  ','woocommerce'),
        'value'       => get_post_meta($variation->ID,"_material", true ),
    ) );
}
// Save Variation Barcode custom field value
add_action( 'woocommerce_save_product_variation', 'save_fcsfw_admin_variation_fields', 10, 2 );
function save_fcsfw_admin_variation_fields( $variation_id, $i ){
    if( isset($_POST['_origincountrycode'][$i]) )
    update_post_meta( $variation_id, '_origincountrycode', sanitize_text_field($_POST['_origincountrycode'][$i]) );
    if( isset($_POST['_hscode'][$i]) )
        update_post_meta( $variation_id, '_hscode', sanitize_text_field($_POST['_hscode'][$i]) );
    if( isset($_POST['_material'][$i]) )
        update_post_meta( $variation_id, '_material', sanitize_text_field($_POST['_material'][$i]) );
}



/**
 * Enquire Admin JS
 */
function wp_fcsfw_scripts() {
    if (get_post_type() === 'shop_order' ) :
    wp_enqueue_script('wp_fcsfw_scripts', FCSFW_PLUGIN_DIR_URL . 'includes/js/fcsfw-main.js', '', '1.1.0', true);
    wp_localize_script( 'wp_fcsfw_scripts', 'wp_fcsfw_ajax', array(
      'ajax_url' => admin_url( 'admin-ajax.php' ),
      'nonce' => wp_create_nonce( 'wp-fcsfw-nonce' ),
      'order_id' => get_the_ID()
    ) );
    endif; 
}
add_action('admin_enqueue_scripts', 'wp_fcsfw_scripts');

add_action('wp_ajax_wp_fcsfw_ajax', 'ajax_event_form');
function ajax_event_form(){
//sleep(5);
   var_dump(FlavorCloud_API_ShipmentRequest($_POST['order_id'],$_POST['fcsfw_pickup_date']));
   die;
}

















/**
 * Add Metabox on edit order page. 
 */
add_action( 'add_meta_boxes', 'fcsfw_add_order_meta_box' );
    function fcsfw_add_order_meta_box()
    {
        $post_id = get_the_ID();   
        if( get_post_type(  $post_id ) === 'shop_order' ) :
            //global $post;
            $post_id = get_the_ID();
            $order = wc_get_order( $post_id );
            //var_dump($post_id);
            //die();
            if ($order->get_shipping_country() != "US"):
            add_meta_box( 'flavor_cloud_ship', __('Flavor Cloud','woocommerce'), 'fcsfw_add_order_packaging', 'shop_order', 'side', 'core' );
            endif;
        endif;
    }
// Adding Meta field in the meta container admin shop_order pages
    function fcsfw_add_order_packaging()
    {
        //global $post;
        $post_id = get_the_ID();

        // Check If this order has been shipped 
        $ShipmentRequest_Response = json_decode(get_post_meta( $post_id ,'_Cloud_Flare_ShipmentRequest_Response', true));
        // Check If this order has been shipped 
        $ShipmentRequest_Box = json_decode(get_post_meta( $post_id ,'_Cloud_Flare_ShipmentRequest_Box', true));     
        echo '<div id="fcsfw_meta">';
        if( empty( get_post_meta( $post_id, 'flavorcloud_shipping_rate_id', true ) ) ):
            //echo '<h4> Th</span> </h4>'; 
            echo '<p>This order cannot be shipped with the FlavorCloud API.</p>';
            echo '</div>';
            return;
        endif;

        if (isset($ShipmentRequest_Response->CustomsInvoiceURL) && is_object($ShipmentRequest_Response) && wp_http_validate_url($ShipmentRequest_Response->CustomsInvoiceURL)):
         echo '<h4> Shippement status: <span style="color:#1d9a1d;">Label Created</span> </h4>'; 
         //update_post_meta( '7319', '_Cloud_Flare_ShipmentRequest_Box', '{"Name":"Priority Mail Box 4","Length":7.25,"Width":7.25,"Height":6.5,"Weight":0.3,"MaxWeight":20}' );
         echo '<b>Shipment Box:</b> '.$ShipmentRequest_Box->Name;
         echo '<br>';
         echo '<small>Length:'.$ShipmentRequest_Box->Length.' Width:'.$ShipmentRequest_Box->Width.' Height:'.$ShipmentRequest_Box->Height.'</small>';
         echo '<br>';
         echo '<br>';
         //  0 => '{"Name":"Priority Mail Box 4","Length":7.25,"Width":7.25,"Height":6.5,"Weight":0.3,"MaxWeight":20}',
         echo '<b>ShipmentID:</b> '.$ShipmentRequest_Response->ShipmentID;
         echo '<br>';
         echo '<b>TrackingNumber:</b> '.$ShipmentRequest_Response->TrackingNumber;
         echo '<br>';
         echo '<b>Carrier:</b> '.$ShipmentRequest_Response->Carrier;
         echo '<br>';
         echo '<a target="_blank" href="https://app.flavorcloud.com/brandedTracking?ref='.$ShipmentRequest_Response->Reference.'&tracking_number='.$ShipmentRequest_Response->TrackingNumber.'&carrier='.$ShipmentRequest_Response->Carrier.'&destination=">Track Package</a>';
         echo '<br>';
         echo '<br>';
         foreach ($ShipmentRequest_Response->LabelUrl as $key => $LabelUrl) {
            echo '<a href="'.$LabelUrl.'" target="_blank" class="button button-primary"  value="">Download Label</a>';
         }
         echo '<br>';
         echo '<br>';
         echo '<a href="'.$ShipmentRequest_Response->CustomsInvoiceURL.'" target="_blank" class="button button-primary"  value="">Download Customs Invoice</a>';

        else:
         echo '<h4> Status: Not Shipped </h4>'; 
         echo '<p>A shipping label and Customs invoice will be generated when you click the Create Shipment button. </p>';
            $meta_field_data = get_post_meta( $post_id, '_fcsfw_pickup_date', true ) ? get_post_meta( $post_id, '_fcsfw_pickup_date', true ) : '';
            $flavorcloud_shipping_rate_id = get_post_meta($post_id,"flavorcloud_shipping_rate_id", true );
            // echo $flavorcloud_shipping_rate_id;
            // FlavorCloud_API_ShipmentRequest();
            
            
            echo '<input type="hidden" id="fcsfw_order_meta_field_nonce" name="fcsfw_order_meta_field_nonce" value="' . wp_create_nonce() . '">
            <p style="border-bottom:solid 1px #eee;padding-bottom:13px;">
                <label for="my_field_name">Shipment Pickup Date:</label>';
                
                echo '<input type="text" id="fcsfw_pickup_date" class="fcsfw_pickup_date" style="width:250px;";" name="fcsfw_pickup_date" placeholder="' . $meta_field_data . '" value="' . $meta_field_data . '"></p>';
                echo '<a id="fcsfw-ship-order" class="button button-primary"  value="">Create Shipment</a>';
                echo '<br>';
                echo '<small style="margin-top:10px;display: block;">Flavor Cloud will only charge you once there is a scan by the carrier.</small>';

            // Datepicker
            
                    // The displayed value using GET method
        if ( isset( $_GET['fcsfw_order_meta_field_nonce'] ) && ! empty( $_GET['fcsfw_order_meta_field_nonce'] ) ) {
            echo '<p>Value: '.$_GET['fcsfw_order_meta_field_nonce'].'</p>';
        }

        
        endif;
        echo '</div>';

            echo '
                <script type="text/javascript">
                jQuery(document).ready(function($) {
                    $(".fcsfw_pickup_date").datepicker({
                        dateFormat : "yy-mm-dd"
                    });
                });
                </script>';
            echo '<style>
                #fcsfw_meta {
                 min-height: 150px;
                }
                @-webkit-keyframes dyinglight {
                    15% {
                      transform: scale(1.6);
                    }
                    50% {
                      transform: rotate(-89deg);
                    }
                    100% {
                      transform: rotate(-90deg);
                    }
                  }
                  
                  @keyframes dyinglight {
                    15% {
                      transform: scale(1.6);
                    }
                    50% {
                      transform: rotate(-89deg);
                    }
                    100% {
                      transform: rotate(-90deg);
                    }
                  }
                  .dl {
                    position: absolute;
                    left: 50%;
                    top: 50%;
                    transform: translate(-50%, -50%);
                    display: inline-block;
                  }
                  
                  .dl__square {
                    display: block;
                    width: 50px;
                    height: 50px;
                    background: #Ad8762;
                  }
                  
                  .dl__container {
                    position: absolute;
                    left: 0;
                    top: 0;
                    bottom: 0;
                    right: 0;
                    transform-origin: 50% 50% 0;
                    -webkit-animation: dyinglight 1s ease infinite;
                            animation: dyinglight 1s ease infinite;
                    -webkit-backface-visibility: hidden;
                            backface-visibility: hidden;
                  }
                  
                  .dl__corner--top:before,
                  .dl__corner--top:after,
                  .dl__corner--bottom:before,
                  .dl__corner--bottom:after {
                    position: absolute;
                    width: 17px;
                    height: 17px;
                    color: #2271b1;
                    content: "";
                  }
                  
                  .dl__corner--top:before {
                    border-left: 1px solid;
                    border-top: 1px solid;
                    top: -6px;
                    left: -6px;
                  }
                  .dl__corner--top:after {
                    border-right: 1px solid;
                    border-top: 1px solid;
                    top: -6px;
                    right: -6px;
                  }
                  
                  .dl__corner--bottom:before {
                    border-left: 1px solid;
                    border-bottom: 1px solid;
                    bottom: -6px;
                    left: -6px;
                  }
                  .dl__corner--bottom:after {
                    border-right: 1px solid;
                    border-bottom: 1px solid;
                    bottom: -6px;
                    right: -6px;
                  }
                </style>';
        //fcsfw_print_array($ShipmentRequest_Response);


        //fcsfw_print_array($flavorcloud_shipping_rate_id);


    }

//    
// Save the data of the Meta field ON POST SAVE
//
add_action( 'save_post', 'fcsfw_save_wc_order_fields', 10, 1 );
    function fcsfw_save_wc_order_fields( $post_id ) {

        // We need to verify this with the proper authorization (security stuff).

        // Check if our nonce is set.
        if ( ! isset( $_POST[ 'fcsfw_order_meta_field_nonce' ] ) ) {
            return $post_id;
        }
        $nonce = $_REQUEST[ 'fcsfw_order_meta_field_nonce' ];

        //Verify that the nonce is valid.
        if ( ! wp_verify_nonce( $nonce ) ) {
            return $post_id;
        }

        // If this is an autosave, our form has not been submitted, so we don't want to do anything.
        if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
            return $post_id;
        }

        // Check the user's permissions.
        if ( 'page' == $_POST[ 'post_type' ] ) {

            if ( ! current_user_can( 'edit_page', $post_id ) ) {
                return $post_id;
            }
        } else {

            if ( ! current_user_can( 'edit_post', $post_id ) ) {
                return $post_id;
            }
        }
        // --- Its safe for us to save the data ! --- //

        // Sanitize user input  and update the meta field in the database.
        update_post_meta( $post_id, '_fcsfw_pickup_date', $_POST[ 'fcsfw_pickup_date' ] );
    }





/**
 * Add General Settings tab under Woocommerce -> Shipping 
 */
add_filter( 'woocommerce_get_sections_shipping' , 'fcsfw_add_settings_tab' );
function fcsfw_add_settings_tab( $settings_tab ){
     $settings_tab['flavor_cloud_settings'] = __( 'Flavor Cloud Settings' );
     return $settings_tab;
}

/**
 * Add General Settings tab fields
 */
add_filter( 'woocommerce_get_settings_shipping' , 'fcsfw_get_settings' , 10, 2 );
function fcsfw_get_settings( $settings, $current_section ) {
    $custom_settings = array();

    if( 'flavor_cloud_settings' == $current_section ) {

        $custom_settings =  array(

        array(
            'name' => __( 'General Settings' ),
            'type' => 'title',
            'desc' => __( 'appID and restAPIkey Can be found in your Flavor Cloud account, Please click this link <a target="_blank" href="https://app.flavorcloud.com/settings">https://app.flavorcloud.com/settings</a> and go to API KEYS & API and create a new application.' ),
            'id'   => 'fcsfw_general_settings' 
        ),
/*
        array(
            'name' => __( 'Enable Free shipping notices' ),
            'type' => 'checkbox',
            'desc' => __( 'Show the free shipping threshold on product page'),
            'id'	=> 'enable'

        ),
*/
        array(
            'name' => __( 'appID' ),
            'type' => 'text',
            'desc' => __( 'Flavor Cloud appID'),
            'desc_tip' => true,
            'id'	=> 'fcsfw_appID'

        ),
        array(
            'name' => __( 'restAPIKey' ),
            'type' => 'text',
            'desc' => __( 'Flavor Cloud restAPIKey'),
            'desc_tip' => true,
            'id'	=> 'fcsfw_restAPIKey'

        ),
        array(
            'name' => __( 'TermsOfTrade' ),
            'type' => 'select',
            'desc' => __( 'Terms of trade can be Delivery Duty Paid (DDP) or Delivery Duty Unpaid (DDU)'),
            'desc_tip' => true,
            'id'	=> 'fcsfw_TermsOfTrade',
            'options' => array(

                      'DDP' => __( 'DDP' ),
                      'DDU' => __('DDU')

            )

        ),
        array(
            'name' => __( 'Flavor Cloud Settingsh' ),
            'type' => 'fcsfw_termsoftrade',
            'id'   => 'free_shippingk' 
        ),
        
        array( 
            'type' => 'sectionend', 'id' => 'fcsfw_general_settings' 
           ),

           array(
            'name' => __( 'Shipping Method Settings' ),
            'type' => 'title',
            'desc' => __( '' ),
            'id'   => 'fcsfw_settings' 
        ),


        /*



        array(
            'name' => __( 'Message when free shipping reached' ),
            'type' => 'text',
            'desc' => __( 'Message to display when free shipping is reached'),
            'desc_tip' => true,
            'id'	=> 'msg_free'

        ),

        array(
            'name' => __( 'Position' ),
            'type' => 'select',
            'desc' => __( 'Position of the notice on the product page'),
            'desc_tip' => true,
            'id'	=> 'position',
            'options' => array(

                      'top' => __( 'Top' ),
                      'bottom' => __('Bottom')

            )

        ),
        
        array(
            'name' => __( 'Text Color' ),
            'type' => 'color',
            'desc' => __( 'Color of the text in the notice'),
            'desc_tip' => true,
            'id'	=> 'color',

        ),
        *//*
        array(
            'name' => __( 'Flavor Shipping Method Names' ),
            'type' => 'title',
            'desc' => __( 'Here you can change the default shipping labels users will see when checking out.' ),
            'id'   => 'fcsfw_shipping_method_names' 
        ),*/
        array(
            'name' => __( 'Standard Label' ),
            'type' => 'text',
            'desc' => __( 'Change the default shipping label for Standard Shipping Method'),
            'desc_tip' => true,
            'id'	=> 'fcsfw_standard_label'
        ),
        array(
            'name' => __( 'Disable Standard' ),
            'type' => 'checkbox',
            'desc' => __( 'Check to disable the standard shipping method.'),
            'id'	=> 'fcsfw_standard_disable'
        ),
        array(
            'name' => __( 'Express Label' ),
            'type' => 'text',
            'desc' => __( 'Change the default shipping label for Express Shipping Method'),
            'desc_tip' => true,
            'id'	=> 'fcsfw_express_label'
        ),
        array(
            'name' => __( 'Disable Express' ),
            'type' => 'checkbox',
            'desc' => __( 'Check to disable the express shipping method.'),
            'id'	=> 'fcsfw_express_disable'
        ),

        array( 
            'type' => 'sectionend', 'id' => 'fcsfw_settings' 
           ),


);

    return $custom_settings;
 } else {
        return $settings;
}

}

/**
 * Custom Fields 
 */
add_action( 'woocommerce_admin_field_fcsfw_termsoftrade', 'output_fcsfw_termsoftrade' );
function output_fcsfw_termsoftrade( ) {
    echo '<p>When TermsOfTrade DDP is selected, international customers will get charged duty and tax fees on checkout.</p>';
}