<?php
/**
 * Plugin Name:     FlavorCloud Shipping For Woocommerce
 * Plugin URI: https://qwebmaster.com/flavor-cloud-shipping-for-woocommerce/
 * Description:     FlavorCloud Shipping For Woocommerce
 * Version:         1.1.5
 * WC requires at least: 3.0
 * WC tested up to: 6.7.0
 * Author:          Qwebmaster
 * Author URI: https://qwebmaster.com
 * 
 * Copyright: © 2022 Qwebmaster
 * License:         GNU General Public License v3.0
 * License URI:     http://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain:     woocommerce
 *
 * @package         main
 */

 /*
  V1.1.3
  * Added Country of origin field, this needs to be selected for each product. 
 */
 /*
  V1.1.4
  * Added Options to disable each shipping method.
 */

 /* TODO 
 V1.5
 * Ability to select the same country of origin for all products from the plugin settings page. 
 */

// Define Base Plugin Dir 
define( 'FCSFW_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
define( 'FCSFW_PLUGIN_DIR_URL', plugin_dir_url( __FILE__ ) );

add_action('plugins_loaded', 'WC_test_gateway_plugin');
    function WC_test_gateway_plugin() {
    /** FlavorCloud_Shipping_For_Woocommerce Debug Functions */
    require FCSFW_PLUGIN_DIR_PATH . 'includes/fcsfw-debug.php';

    /** FlavorCloud_Shipping_For_Woocommerce Main API Functions */
    require FCSFW_PLUGIN_DIR_PATH . 'includes/fcsfw-woocommerce.php';

    /** FlavorCloud_Shipping_For_Woocommerce Main API Functions */
    require FCSFW_PLUGIN_DIR_PATH . 'includes/flavorcloud/api-main.php';

    /** FlavorCloud_Shipping_For_Woocommerce admin */
    require FCSFW_PLUGIN_DIR_PATH . 'includes/flavorcloud-shipping-admin.php';
    //fcsfw_print_array(FlavorCloud_API_Get_Settings('ShipFromAddress'));
    //fcsfw_print_array(FlavorCloud_API_Get_Settings('API'));
}

/**
 * Add Flavor Cloud Shipping Method
 */
add_filter( 'woocommerce_shipping_methods', 'register_flavorcloud_method' );
function register_flavorcloud_method( $methods ) {
    // Only Run On the Checkout page 
    //if ( is_cart() || is_checkout() ) {
    if ( is_cart() || is_checkout() || is_admin() ) {
    require_once("includes/wc-flavorcloud-shipping-method.php");
	// $method contains available shipping methods
	$methods[ 'flavor-cloud' ] = 'WC_Shipping_FlavorCloud';
    }
	return $methods;
}

/**
*  Event Logger Woocommerce -> Status -> Log
*
* @since 1.0.2
*/
function fcsfw_logger($data){
  //$options = get_option( 'wsrr_option' );
  //if ($options['wsrr_debug'] == 1 ) {
    $logger = wc_get_logger();
    $logger->debug( $data, array( 'source' => 'woocommerce-flavorcloud-shipping' ) );
 // }
}

